Subject: RE: gcc version 3.4.4 (cygming special, gdc 0.12, using dmd 0.125) Internal compiler error
From: "Dave Korn" <[email-masked]>
To: "'Cory Cohen'" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 19 Apr 2008 17:00:30 +0100
List-Id: <cygwin.cygwin.com>

Cory Cohen wrote on 19 April 2008 16:31:

> Hello again,
> 
> Several days ago I sent a bug report about an internal
> compiler error to
> the cygwin and gcc-bugs lists.  I've not heard back anything
> from either
> of the lists, and was wondering if there was something more that I
> needed to provide.  

  Sorry, I've been ill.

  I saw your report.  It was exemplary, self-contained and complete.  In
particular thanks for sending the .ii file.

  Funnily enough, I can't reproduce it that way.  I can reproduce it on one
out of two machines, and only when compiling the original file.  Adding
--save-temps stops it from crashing also.  It appears to be caused by the
--output-pch option passed to cc1plus internally by the g++ driver.

  You might be able to use the --save-temps option as a workaround.  I'll
investigate the bug and see why it happens.  It might not be too much hassle
to issue a bugfix relese of the cygwin compiler package.

  Thanks for your report - and your patience!

    cheers,
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/